summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2011-04-03 22:40:23 +0200
committerDieter Plaetinck <dieter@plaetinck.be>2011-04-03 22:40:45 +0200
commitf48e72a9d4793c7fa93dc9e7232c3d80ee4c6e1d (patch)
tree98cc7ccebf936219f42e9e4b1b49b1e42ac4a2c5 /src
parent6aea100fbea59d73e07e2a6f031e2e4510def3e2 (diff)
bugfix: make sure device_is_raid always receives a valid blockdevice
Diffstat (limited to 'src')
-rw-r--r--src/core/libs/lib-ui-interactive.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/core/libs/lib-ui-interactive.sh b/src/core/libs/lib-ui-interactive.sh
index 38a626e..1600cef 100644
--- a/src/core/libs/lib-ui-interactive.sh
+++ b/src/core/libs/lib-ui-interactive.sh
@@ -898,9 +898,9 @@ interactive_grub() {
# the partition with seperate /boot or to $PART_ROOT.
# So that bootdev is always our real partition with /boot....
bootdev=$(mount | grep $var_TARGET_DIR/boot | cut -d' ' -f 1)
- # check if bootdev or PART_ROOT is on a md raid array
+ # check if PART_ROOT (or bootdev, if it is a blockdevice) is on a md raid array
# This dialog is only shown when we detect / or /boot on a raid device.
- if device_is_raid $bootdev || device_is_raid $PART_ROOT; then
+ if device_is_raid $PART_ROOT || ( [ -n "$bootdev" ] && device_is_raid "$bootdev" ); then
ask_yesno "Do you have your system installed on software raid?\nAnswer 'YES' to install grub to another hard disk." no
if [ $? -eq 0 ]; then
onraid=true